<?php
/*
 * Plugin Name: CoolIris-Piclens
 * Version: 0.3.4
 * Description: Cooliris/Piclens activation
 * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
 * Author: Tiico
 * Author URI: 
 * */
/********* Fichier config.php  *********/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $page;
 
$me = get_plugin_data($plugin_id);

$type_list = array(l10n('piclens_label_withoutrecursive'), l10n ('piclens_label_withrecursive') );
 
$template->set_filenames( array('plugin_admin_content' => PICLENS_ROOT.'/admin/config.tpl') );

// recuperation des parametres depuis le  fichier de configuration
if (isset($_POST['restore'])) 
{ 
	
	if (file_exists(PICLENS_CFG_FILE))
	{
		// changement du nom du fichier de conf.
		$me->load_config_file();
		$me->save_config();
		array_push($page['infos'], sprintf(l10n('piclens_admin_restoreOK'), PICLENS_CFG_FILE1));
	}
	else
		array_push($page['errors'], sprintf(l10n('piclens_admin_restoreKO'), PICLENS_CFG_FILE1));
}
// Sauvegarde des parametres dans le  fichier de configuration (
if (isset($_POST['savefile'])) 
{ 
	if (file_exists(PICLENS_CFG_FILE))
		array_push($page['infos'], sprintf(l10n('piclens_admin_savefileWN'), PICLENS_CFG_FILE1));
	// Sauvegarde dans le fichier
	$me->save_config_file();
	array_push($page['infos'], sprintf(l10n('piclens_admin_savefileOK'), PICLENS_CFG_FILE1));
	
}

if (isset($_POST['submit'])) { 
  $me->my_config['piclens_active'] = isset($_POST['piclens_active']);
  $me->my_config['piclens_recursive'] = isset($_POST['piclens_recursive']);
  $me->my_config['piclens_gallerie_active'] = isset($_POST['piclens_gallerie_active']);
  $me->my_config['piclens_gallerie_type'] = $_POST['piclens_gallerie_type'];
  $me->my_config['piclens_lite_active'] = isset($_POST['piclens_lite_active']);
  $me->my_config['piclens_secureimage'] = isset($_POST['piclens_secureimage']);
  $me->my_config['piclens_extendeddesc'] = isset($_POST['piclens_extendeddesc']);
  
  $me->my_config['piclens_recentpics_active'] = isset($_POST['piclens_recentpics_active']);
  $me->my_config['piclens_recentcats_active'] = isset($_POST['piclens_recentcats_active']);
  $me->my_config['piclens_mostvisited_active']  = isset($_POST['piclens_mostvisited_active']);
  $me->my_config['piclens_bestrated_active'] = isset($_POST['piclens_bestrated_active']);
  $me->my_config['piclens_favorites_active'] = isset($_POST['piclens_favorites_active']);
  $me->my_config['piclens_tags_active'] = isset($_POST['piclens_tags_active']);

  $me->my_config['piclens_recursive_mode'] = $_POST['recursive_mode'];
  
  $me->save_config();
  array_push($page['infos'], l10n('piclens_admin_saveOK'));
	
}

// Affichage des coix miniature possibles pour la recursivite de l'option 'Activer gallerie'
$i=1;
foreach ( $type_list as $order ) //on parcours le tableau 
{
	$template->append('PlGallerie',array('ID' => $i,'NAME' => $order,'SELECTED' => ($me->my_config['piclens_gallerie_type'] == $i ? 'selected' : '')));
	$i++;	
}

$template->assign(array(
	'PICLENS_ACTIVATED' 			=> ($me->my_config['piclens_active'] ? 'checked="checked"' : ''), 
	'PICLENS_RECURSIVE_ACTIVATED' 	=> ($me->my_config['piclens_recursive'] ? 'checked="checked"' : '' ),
	'PICLENS_GALLERIE_ACTIVATED' 	=> ($me->my_config['piclens_gallerie_active'] ? 'checked="checked"' : '' ),
	'PICLENS_GALLERIE_TYPE'			=> $me->my_config['piclens_gallerie_type'],
	'PICLENS_LITE_ACTIVATED'		=> ($me->my_config['piclens_lite_active'] ? 'checked="checked"' : '' ),
	'PICLENS_SECUREIMAGE'			=> get_db_plugins('active','secureImages'),
	'PICLENS_SECUREIMAGE_ACTIVATED'	=> ($me->my_config['piclens_secureimage'] ? 'checked="checked"' : '' ),
	'PICLENS_EXTENDEDDESC'			=> get_db_plugins('active','ExtendedDescription'), 
	'PICLENS_EXTENDEDDESC_ACTIVATED'=> ($me->my_config['piclens_extendeddesc'] ? 'checked="checked"' : '' ),
	'PICLENS_RECENTPICS_ACTIVATED'	=> ($me->my_config['piclens_recentpics_active'] ? 'checked="checked"' : '' ),
	'PICLENS_RECENTCATS_ACTIVATED'	=> ($me->my_config['piclens_recentcats_active'] ? 'checked="checked"' : '' ),
	'PICLENS_MOSTVISITED_ACTIVATED'	=> ($me->my_config['piclens_mostvisited_active'] ? 'checked="checked"' : '' ),
	'PICLENS_BESTRATED_ACTIVATED'	=> ($me->my_config['piclens_bestrated_active'] ? 'checked="checked"' : '' ),
	'PICLENS_FAVORITES_ACTIVATED'	=> ($me->my_config['piclens_favorites_active'] ? 'checked="checked"' : '' ),
	'PICLENS_TAGS_ACTIVATED'		=> ($me->my_config['piclens_tags_active'] ? 'checked="checked"' : '' ),
	$me->my_config['piclens_recursive_mode'].'_CHECKED' => 'checked="checked"',
	'ICON_INFO' => PICLENS_ADMIN_PATH . 'info.png',
	'PICLENS_CFGFILE_PRESENT'		=> file_exists(PICLENS_CFG_FILE),
	));

//$template->assign('ICON_INFO' , PICLENS_ADMIN_PATH . 'info.png');
 
 
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
 

?>